@echo off

REM -----------------------------------------------------------
REM The targets are the different build scripts.
REM The default "dist" is suggested
REM and does not require any external packages
REM 
REM "core"           target builds ECS core classes
REM "html"           target builds "core" + html
REM "xml"            target builds "core" + xml
REM "rtf"            target builds "core" + rtf
REM "html2ecs"       target builds "core" + html2ecs
REM "example"        target builds "core" + example
REM "factory"        target builds "core" + factory
REM "corehtmlxmlrtf" target builds "core" + xml + html + rtf
REM "clean"          target removes bin directory
REM "dist"           target builds "corehtmlxmlrtf" + jar file
REM
REM -----------------------------------------------------------
set TARGET=%1%
REM set TARGET=core
REM set TARGET=html
REM set TARGET=xml
REM set TARGET=rtf
REM set TARGET=html2ecs
REM set TARGET=factory
REM set TARGET=example
REM set TARGET=clean
REM set TARGET=dist
REM set TARGET=corehtmlxmlrtf

REM -------------------------------------------------------------------
REM Define the paths to each of the packages.
REM If you use the html2ecs target then OPENXML must be defined.
REM If you use the example target then DOM and OPENXML must be defined.
REM If you use the factory target then DOM and OPENXML must be defined.
REM -------------------------------------------------------------------
set OPENXML=
set DOM=
REM set OPENXML=d:\classes\openxml.jar
REM set DOM=d:\classes\dom.jar


REM --------------------------------------------
REM No need to edit anything past here
REM --------------------------------------------

if "%TARGET%" == "" goto setdist
goto final

:setdist
set TARGET=dist
goto final

:final
echo Now building %TARGET%...
set CP=%CLASSPATH%;%OPENXML%;%DOM%;ant.jar;projectx-tr2.jar;javac.jar

set BUILDFILE=build-ecs.xml

java -classpath %CP% -Djava.compiler=NONE org.apache.tools.ant.Main -buildfile %BUILDFILE% %TARGET%
