#!/bin/sh

# -----------------------------------------------------------
# The targets are the different build scripts.
# The default "dist" is suggested
# and does not require any external packages
# 
# "core"           target builds ECS core classes
# "html"           target builds "core" + html
# "xml"            target builds "core" + xml
# "rtf"            target builds "core" + rtf
# "html2ecs"       target builds "core" + html2ecs
# "example"        target builds "core" + example
# "factory"        target builds "core" + factory
# "corehtmlxmlrtf" target builds "core" + xml + html + rtf
# "clean"          target removes bin directory
# "dist"           target builds "corehtmlxmlrtf" + jar file
#
# -----------------------------------------------------------
TARGET=${1}
# TARGET=core
# TARGET=html
# TARGET=xml
# TARGET=rtf
# TARGET=html2ecs
# TARGET=factory
# TARGET=example
# TARGET=clean
# TARGET=dist
# TARGET=corehtmlxmlrtf

# -------------------------------------------------------------------
# Define the paths to each of the packages.
# If you use the html2ecs target then OPENXML must be defined.
# If you use the example target then DOM and OPENXML must be defined.
# If you use the factory target then DOM and OPENXML must be defined.
# -------------------------------------------------------------------
OPENXML=
DOM=
# OPENXML=/classes/openxml.jar
# DOM=/classes/dom.jar


# --------------------------------------------
# No need to edit anything past here
# --------------------------------------------

if test -z "${TARGET}" ; then 
TARGET=dist
fi

echo "Now building ${TARGET}..."

CP=${CLASSPATH}:${OPENXML}:${DOM}:ant.jar:projectx-tr2.jar:javac.jar

BUILDFILE=build-ecs.xml

java -classpath ${CP} org.apache.tools.ant.Main -buildfile ${BUILDFILE} ${TARGET}
